Uploaded image for project: 'CDAP'
  1. CDAP
  2. CDAP-14130

5.0.0 CSD failing Parcel version check

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: CSD
    • Labels:
      None
    • Rank:
      1|i00gmv:

      Description

      The 5.0.0 CSD failed with the following error:

      ERROR: Detected Parcel version 5.0.0 is newer than CSD version . Please upgrade the CDAP CSD. This check can be disabled via the csd.compatibility.check.enabled configuration in Cloudera Manager.
      

      The embedded build-env.sh contains:

      CSD_VERSION="${project.version}"
      

      which means it was not properly substituted by the maven build.

       

        Attachments

          Activity

            People

            • Assignee:
              derek Derek Wood
              Reporter:
              derek Derek Wood
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: